<?php
    
    namespace artbox\catalog\catalog\models;
    
    use artbox\core\models\Language;
    use Yii;
    
    /**
     * This is the model class for table "catalog_rewrite".
     *
     * @property int      $id
     * @property int      $language_id
     * @property string   $link
     * @property string   $origin
     * @property string   $title
     * @property string   $description
     * @property string   $h1
     * @property string   $robots
     * @property string   $text
     * @property string   $product_title
     * @property int      $type
     * @property Language $language
     */
    class CatalogRewrite extends \yii\db\ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'catalog_rewrite';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'language_id',
                        'type',
                    ],
                    'integer',
                ],
                [
                    [
                        'description',
                        'text',
                    ],
                    'string',
                ],
                [
                    [
                        'link',
                        'origin',
                        'title',
                        'h1',
                        'robots',
                        'product_title',
                    ],
                    'string',
                    'max' => 255,
                ],
                [
                    [ 'language_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Language::class,
                    'targetAttribute' => [ 'language_id' => 'id' ],
                ],
                [
                    ['link'],
                    'unique'
                ]
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'id'            => Yii::t('app', 'ID'),
                'language_id'   => Yii::t('app', 'Language ID'),
                'link'          => Yii::t('app', 'Link'),
                'origin'        => Yii::t('app', 'Origin'),
                'title'         => Yii::t('app', 'Title'),
                'description'   => Yii::t('app', 'Description'),
                'h1'            => Yii::t('app', 'H1'),
                'robots'        => Yii::t('app', 'Robots'),
                'text'          => Yii::t('app', 'Text'),
                'product_title' => Yii::t('app', 'Product Title'),
                'type'          => Yii::t('app', 'Type'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getLanguage()
        {
            return $this->hasOne(Language::class, [ 'id' => 'language_id' ]);
        }
    }
