<?php
    
    namespace artbox\catalog\catalog\models;
    
    use Yii;
    
    /**
     * This is the model class for table "catalog_seo".
     *
     * @property int      $category_id
     * @property int      $group_id
     * @property int      $language_id
     * @property string   $title
     * @property string   $description
     * @property string   $h1
     * @property string   $seo_text
     * @property string   $robots
     */
    class CatalogSeo extends \yii\db\ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'catalog_seo';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'category_id',
                        'group_id',
                        'language_id',
                    ],
                    'default',
                    'value' => null,
                ],
                [
                    [
                        'category_id',
                        'group_id',
                        'language_id',
                    ],
                    'integer',
                ],
                [
                    [
                        'description',
                        'seo_text',
                    ],
                    'string',
                ],
                [
                    [
                        'title',
                        'h1',
                        'robots',
                    ],
                    'string',
                    'max' => 255,
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'category_id' => Yii::t('app', 'Category ID'),
                'group_id'    => Yii::t('app', 'Group ID'),
                'language_id' => Yii::t('app', 'Language ID'),
                'title'       => Yii::t('app', 'Title'),
                'description' => Yii::t('app', 'Description'),
                'h1'          => Yii::t('app', 'H1'),
                'seo_text'    => Yii::t('app', 'Seo Text'),
                'robots'      => Yii::t('app', 'Robots'),
            ];
        }
    }
