<?php

namespace artbox\catalog\catalog\models;

use yii\db\ActiveRecord;

/**
 * This is the model class for table "product_lang".
 *
 * @property int $product_id
 * @property int $language_id
 * @property string $title
 * @property int $alias_id
 * @property string $description
 *
 * @property Product $product
 */
class ProductLang extends ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'product_lang';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['product_id', 'language_id', 'title'], 'required'],
            [['product_id', 'language_id', 'alias_id'], 'default', 'value' => null],
            [['product_id', 'language_id', 'alias_id'], 'integer'],
            [['description'], 'string'],
            [['title'], 'string', 'max' => 255],
            [['alias_id'], 'unique'],
            [['product_id', 'language_id'], 'unique', 'targetAttribute' => ['product_id', 'language_id']],
            [['product_id'], 'exist', 'skipOnError' => true, 'targetClass' => Product::className(), 'targetAttribute' => ['product_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'product_id'  => 'Product ID',
            'language_id' => 'Language ID',
            'title'       => \Yii::t('catalog', 'Title'),
            'alias_id'    => 'Alias ID',
            'description' => \Yii::t('catalog', 'Description'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProduct()
    {
        return $this->hasOne(Product::className(), ['id' => 'product_id']);
    }
}
