<?php
    
    /**
     * @var \yii\web\View                          $this
     * @var \artbox\catalog\catalog\models\Variant $variant
     * @var int                                    $key
     * @var \yii\widgets\ActiveForm                $form
     * @var array                                  $options
     */
    
    use kartik\select2\Select2;
    use yii\web\JsExpression;
    use artbox\core\helpers\Url;

?>

<div class="form-group-33-wr variant-wr">
  <div class="form-group-33">
      
      <?= $form->field($variant, "[$key]sku") ?>
      
      <?= $form->field($variant, "[$key]price") ?>
      
      <?= $form->field($variant, "[$key]price_old") ?>
      
      <?= $form->field($variant, "[$key]stock") ?>
      
      <?= $form->field($variant, "[$key]optionIds")
               ->widget(
                   Select2::class,
                   [
                       'options'       => [
                           'placeholder' => \Yii::t('app', 'Выберите фильтры'),
                           'multiple'    => true,
                       ],
                       'data'          => $options,
                       'pluginOptions' => [
                           'allowClear'         => true,
                           'minimumInputLength' => 1,
                           'language'           => [
                               'errorLoading' => new JsExpression(
                                   "function () { return 'Waiting for results...'; }"
                               ),
                           ],
                           'ajax'               => [
                               'url'      => Url::to([ '/filter/group/find-options' ]),
                               'dataType' => 'json',
                               'data'     => new JsExpression(
                                   'function(params) {
                                    return {
                                        q:params.term
                                    };
                                 }'
                               ),
                           ],
                           'escapeMarkup'       => new JsExpression(
                               'function (markup) {
                                return markup;
                             }'
                           ),
                           'templateResult'     => new JsExpression(
                               'function (brand) {
                                return brand.text;
                             }'
                           ),
                           'templateSelection'  => new JsExpression(
                               'function (brand) {
                                return brand.text;
                             }'
                           ),
                       ],
                   ]
               ) ?>
    
    <div class="style product-varian-create">
        <?= $form->field(
            $variant,
            "[$key]sort",
            [
                'template' => '{label}<span class="pos-minus-adm"></span>{input}<span class="pos-pluse-adm"></span>
                            {error}{hint}',
                'options'  => [ 'class' => 'form-group filed-sort' ],
            ]
        ) ?>
        
        <?= $form->field(
            $variant,
            "[$key]status",
            [ 'template' => "<div class='div_ style' style='margin-bottom: 10px;'>{label}</div>\n{input}\n{error}" ]
        )
                 ->checkbox(
                     [
                         'class' => 'variant-switchery',
                     ],
                     false
                 ) ?>
      
      <a class="delete-variant delete-url remove-img-2 btn-danger btn" href="#"></a>
    </div>
  </div>
</div>