<?php
    
    use artbox\catalog\catalog\models\CatalogRewrite;
    use artbox\core\models\Language;
    use kartik\select2\Select2;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var View           $this
     * @var CatalogRewrite $model
     * @var ActiveForm     $form
     * @var Language[]     $languages
     */
?>

<div class="alias-form">
    <?php $form = ActiveForm::begin(); ?>
  <div class="x_panel">
    
    <div class="wrapp-blocks-edit-page">
        <?= $form->field($model, 'type')
                 ->widget(
                     Select2::class,
                     [
                         'data' => [
                             1 => \Yii::t('app', 'Copy'),
                             2 => \Yii::t('app', 'Rewrite'),
                         ],
                     ]
                 ) ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        <?= $form->field($model, 'origin') ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        <?= $form->field($model, 'link') ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        <?= $form->field($model, 'language_id')
                 ->widget(
                     Select2::class,
                     [
                         'data' => $languages,
                     ]
                 ) ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        <?= $form->field($model, 'product_title') ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        <?= $form->field($model, 'title') ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        <?= $form->field($model, 'description')
                 ->textarea() ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        <?= $form->field($model, 'h1') ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        <?php
            echo $form->field($model, 'text')
                      ->widget(
                          \mihaildev\ckeditor\CKEditor::class,
                          [
                    
                              'editorOptions' => \yii\helpers\ArrayHelper::merge(
                                  \mihaildev\elfinder\ElFinder::ckeditorOptions(
                                      'elfinder',
                                      [
                                          'language' => 'ru',
                                      ]
                                  ),
                                  [
                                      'preset'         => 'standart',
                                      'removeButtons'  => 'SelectAll,Find,Replace,Flash,Smiley,PageBreak,ShowBlocks,Save,NewPage,Print,Templates,ImageButton,Select,Button,Textarea,Radio,Checkbox,Form,Subscript,Superscript,CopyFormatting,RemoveFormat,CreateDiv,Language,HiddenField,About,TextField,Font,FontSize',
                                      'allowedContent' => true,
                                  ]
                              ),
                          ]
                      )
        ?>
    </div>
    
    <div class="wrapp-blocks-edit-page">
        
        <?= $form->field($model, 'robots')
                 ->widget(
                     Select2::class,
                     [
                         'data'          => [
                             'index, follow'     => 'index, follow',
                             'index, nofollow'   => 'index, nofollow',
                             'noindex, follow'   => 'noindex, follow',
                             'noindex, nofollow' => 'noindex, nofollow',
                         ],
                         'options'       => [
                             'placeholder' => \Yii::t('core', 'Select ...'),
                             'multiple'    => false,
                         ],
                         'pluginOptions' => [
                             'allowClear' => true,
                         ],
                     ]
                 ); ?>
    </div>
  </div>
  <div class="style buttons-page-wr">
      <?= Html::submitButton(
          $model->isNewRecord ? 'Create' : 'Update',
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    <?php ActiveForm::end(); ?>


</div>
