<?php
    
    namespace artbox\catalog\filter\models;
    
    use Yii;
    use yii\db\ActiveRecord;
    
    /**
     * This is the model class for table "product_option_group_excl_lang".
     *
     * @property integer $product_option_group_excl_id
     * @property integer $language_id
     * @property string  $title
     * @property integer $alias_id
     * @property string  $description
     */
    class GroupLang extends ActiveRecord
    {
        public static function primaryKey()
        {
            return [
                'group_id',
                'language_id',
            ];
        }
        
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'group_lang';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'title',
                    ],
                    'required',
                ],
                [
                    [
                        'group_id',
                        'language_id',
                    ],
                    'integer',
                ],
                
                [
                    [ 'title' ],
                    'string',
                    'max' => 255,
                ],
            
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'title' => Yii::t('app', 'Title'),
                'slug'  => Yii::t('app', 'Slug'),
            ];
        }
    }
