<?php
    
    use artbox\core\services\Languages;
    use function PHPSTORM_META\type;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    
    /**
     * @var \yii\web\View                       $this
     * @var \artbox\catalog\filter\models\Group $model
     * @var ActiveForm                          $form
     */
    
    $languages = new Languages();
?>

<div class="group-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?php foreach ($model->getVariationModels() as $index => $variationModel) { ?>
      <div class="wrapp-blocks-edit-page">
          <?= $form->field($variationModel, "[{$index}]title")
                   ->label($variationModel->getAttributeLabel('title') . ' (' . $languages->getUrlById($variationModel->language_id) . ')'); ?>
      </div>
    <?php } ?>
  
  <div class="wrapp-blocks-edit-page">
    <?=$form->field($model, 'type')->widget(\kartik\select2\Select2::class, [
      'data' => [
        0 => 'Text',
        1 => 'Color',
        2 => 'Image',
      ]
    ])?>
  </div>
  
  <div class="wrapp-blocks-edit-page">
      <?= $form->field(
          $model,
          "sort",
          [
              'template' => '{label}<span class="pos-minus-adm"></span>{input}<span class="pos-pluse-adm"></span>
                                {error}{hint}',
              'options'  => [ 'class' => 'form-group filed-sort' ],
          ]
      ) ?>
  </div>
  
  <div class="style buttons-page-wr">
      <?= Html::submitButton(
          $model->isNewRecord ? Yii::t('app', 'Create') : Yii::t('app', 'Update'),
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-success' ]
      ) ?>
  </div>
    
    
    <?php ActiveForm::end(); ?>

</div>
