<?php
    
    use artbox\catalog\orders\assets\OrderAsset;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var \yii\web\View                 $this
     * @var \common\models\Order          $model
     * @var array                         $labels
     * @var array                         $deliveries
     * @var array                         $payments
     * @var \common\models\OrderProduct[] $orderProducts
     */
    
    $this->title = Yii::t(
            'order',
            'Update {modelClass}: ',
            [
                'modelClass' => 'Order',
            ]
        ) . $model->id;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('order', 'Orders'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('order', 'Update');
    OrderAsset::register($this);
?>
<div class="order-update">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    <?php
        $xPanel::end();
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'labels'     => $labels,
            'payments'   => $payments,
            'deliveries' => $deliveries,
            'isCreate'   => false,
        ]
    ) ?>


</div>
